package com.kalyshev.yan.user.controller;

import com.kalyshev.yan.user.model.User;

public class UserDto {
    private Long id;
    private String login;
    private String fio;
    private String phone;
    private String password;
    private String role;
    public UserDto() {}
    public UserDto(User user) {
        this.id = user.getId();
        this.login = user.getLogin();
        this.fio = user.getFio();
        this.phone = user.getPhone();
        this.password = user.getPassword();
        this.role = user.getRole();
    }
    public Long getId() {
        return id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    public String getLogin() {
        return login;
    }
    public void setLogin(String login) {
        this.login = login;
    }
    public String getFio() {
        return fio;
    }
    public void setFio(String fio) {
        this.fio = fio;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }
    public String getPhone() {
        return phone;
    }
    public void setPhone(String phone) {
        this.phone = phone;
    }
    public String getRole() {
        return role;
    }
    public void setRole(String role) {
        this.role = role;
    }
}
